CREATE TABLE ZBR_WIKI ( Z_PK INTEGER PRIMARY KEY AUTOINCREMENT, ZMONTH INTEGER, ZASTRO_ID INTEGER, ZDAY INTEGER, ZID INTEGER, ZCOLOR_ID INTEGER, ZTARO_DESC VARCHAR, ZAPHORISM VARCHAR, ZHEALTH VARCHAR, ZBIRTH_TITLE VARCHAR, ZLUCKY_NUM_AND_STAR VARCHAR, ZDISADVANTAGE VARCHAR, ZHUA_ZHAN_PU VARCHAR, ZADVANTAGE VARCHAR, ZBIRTH_DESC VARCHAR, ZHUA_YU VARCHAR, ZMINREN VARCHAR, ZFLOWER VARCHAR, ZHUA_ZHEN_YAN VARCHAR, ZADVISE VARCHAR);
CREATE TABLE ZBR_WIKI_ASTRO ( Z_PK INTEGER PRIMARY KEY,ZID INTEGER, ZNAME VARCHAR, ZDESC VARCHAR );
INSERT INTO "ZBR_WIKI_ASTRO" VALUES(1,1,'白羊座','白羊座是十二星座中的第一个星座，代表着初生的原始灵魂和感觉。他们充满了强烈的好奇心、坚强的意志力，不服输和冒险犯难、创新求变的精神；往往将第一视为理所当然，不喜欢落在别人的后面。当他们面对竞争压力时，战斗力十足而且洋溢着热情活力，是行动派的人物。自我意识和主观意识很强，充满自信而且固执；不会等待机会从天而降，而会积极的争取，无畏艰难和困苦。虽然有时会显得冲动，但基本上还是会保持理智和果决，是个适合面对竞争压力、热情且永远天真未泯的人。');
INSERT INTO "ZBR_WIKI_ASTRO" VALUES(2,2,'金牛座','金牛座是黄道的第二个星座，是土象星座的第一个星座，故也称"土象的婴孩"。金牛座的人似乎天生就有忧鬱和压抑的性格。他们在十二星座中算是工作最勤勉，刻苦耐劳、坚忍不拔的；耐心、韧性是其特性。他们相信拥有爱情、美丽与富有的喜悦，是生命存在的证明，也是他信仰的真理。他们忠诚、真心、善解人意、实际??、不浮夸、率真、负责，凡事讲求规则及合理性。喜欢新的理念并会花时间去接触、证明，是个自我要求完美的人；同时他们对物质和美的生产力方面，也是超人一等。');
INSERT INTO "ZBR_WIKI_ASTRO" VALUES(3,3,'双子座','双子座人的意志一直都是一体两面的积极与消极，动与静、明与暗，相互消长，共荣共存的。通常很多才多艺，也可同时处理很多事情，有些则会表现出明显的两种或多种人格，这种多变的特性，往往令人难以捉摸。他们心智活跃敏锐，喜欢忙碌和追求新的概念，活力充沛、胸怀大志、人缘很好，并且都有语言天份。对事物的思考很快，改变主意也比一般人快。由于水星的影响，使双子座的人通常无法控制自己的思考力，很容易导致精神衰弱。双子座有着双倍于别人的力量、思考力，却也需要比别人多一倍的时间去恢复。所以，双子座是一个善良与邪恶，快乐与忧鬱，温柔与残暴兼具的複杂星座。');
INSERT INTO "ZBR_WIKI_ASTRO" VALUES(4,4,'巨蟹座','巨蟹座的人天生具有旺盛的精力和敏锐的感觉，道德意识很强烈，对慾望的追求也总能适度地停止。大部份巨蟹座的人都比较内向、羞怯，不太能适应新的环境。虽然对新的事物都很感兴趣，但真实却是很传统、恋旧的，似乎看来有些双重个性；如果换一个角度来看，他们只是对情绪的感受力特别强吧！巨蟹座是十二星座中最具有母性的星座，男性亦然。和善、体贴、宽容不记仇，对家人与好朋友非常忠诚。他们喜欢探索别人的秘密，却把自己隐藏的很好。');
INSERT INTO "ZBR_WIKI_ASTRO" VALUES(5,5,'狮子座','狮子座是最具有权威感与支配能力的星座。通常有一种贵族气息或是王者风范。受人尊重，做事相当独立，知道如何运用能力和权术以达到目的。宽宏大量、乐观、海派、光明磊落，不过也会有顽固、傲慢、独裁的一面。他们天生怀抱着崇高的理想，能够全力以赴。有时也相当浪漫，喜欢美丽的事并爱炫耀及被人围绕与讚美。狮子座的人热爱生命、好享乐、勇敢、坚持原则及理念。个性温暖、友善、体贴、外向、对人慷慨大方，人缘当然也很不错。');
INSERT INTO "ZBR_WIKI_ASTRO" VALUES(6,6,'处女座','处女座的特色是有丰富的知性，做事一丝不苟，有旺盛的批判精神，是个完美主义者，极度的厌恶虚伪与不正当的事。无论年纪大小，都保有一颗赤子之心，充满了对过去的回忆及对未来的梦想。通常他们也很实际，总是可以使爱幻想和实际的性格共存且并荣；有特殊的评论能力，喜欢把事情一点一点的分析；强调完整性，不喜欢半途而废；对自己的要求很严格，从不妥协，是个优秀的幕僚人才及工作狂。外表安静沉默，对外力的冲突，总是採取逃避的方式，那是因为他们天生较内向、胆怯和孤独的缘故；但只要自己能够确定时，便会变得比较大胆。');
INSERT INTO "ZBR_WIKI_ASTRO" VALUES(7,7,'天秤座','天秤座的人爱好美与和谐，也相当仁慈并富有同情心，天性善良温和、体贴、沉着。有着优秀的理解能力和艺术鑑赏力，但往往会把任何事物都当做艺术和游戏，以这一体两面的的方式来表示。天秤座人缘及口才都很好。他们看待事物较客观，常为人设身处地着想，通常也较外向，感情丰富，视爱情为唯一的一切。属于人群中的人，但有时也会显得多愁善感，但这也属于他们的魅力之一。同时他们也是最能保守秘密的人，就像他们可以把心中澎湃的热情隐藏的很好一样。');
INSERT INTO "ZBR_WIKI_ASTRO" VALUES(8,8,'天蝎座','这个星座的人有着强烈的第六感、神秘的探视能力及吸引力。虽然有着敏锐的观察力，但往往仍靠感觉来决定一切。天蝎座是一个有强烈责任感、韧性强、有概念、会组织（条理化）、意志力强、支配欲强烈，对于生命的奥秘有独特见解的本能，并且永远有着充沛精力的微妙複杂--『溷合体』。由于是水象星座的缘故，在感情上属多愁善感的敏锐型，但却以自我为中心，对??别人的观点亦完全不予理会。通常他们是深情而且多情的，他们在决定行动时，会表现的大胆积极，属于敢爱敢恨的类型。');
INSERT INTO "ZBR_WIKI_ASTRO" VALUES(9,9,'射手座','这个星座出生的人崇尚自由、无拘无束及追求速度的感觉，生性乐观、热情，是个享乐主义派。是个神圣的完美主义者，有阳刚的气息、宽大体贴的精神。他们幽默、刚直率真、对人生的看法富含哲学性，人缘通常都很好。他们外向、健谈、喜欢新的经验与尝试，尤其是运动及旅行。是个永远无法被束缚、不肯妥协、同时又具备人性与野性、精力充沛且活动力强，有着远大的理想，任何时地都不会放弃希望和理想。他们始终在追求一个能完全属于自己的生活环境，但可能是因他们有着豁达的人生观，所以有时常会乐观得太过一厢情愿了。');
INSERT INTO "ZBR_WIKI_ASTRO" VALUES(10,10,'摩羯座','这个星座的人稳健踏实，会小心翼翼渡过困厄的处境，通常都很健壮，有过人的耐力、意志坚决、有时间观念、有责任感、重视权威和名声。对领导统御很有一套，自成一格，另外组织能力也不错。属于较内向，略带忧鬱、内省、孤独、保守、怀旧、消极、没有安全感，也欠缺幽默感，常会装出高高在上或是严厉的姿态，以掩饰自己内在的脆弱。他们擅于外交、好动、活力充沛、目标确定；重视现实利益及物质保障，具有宗教或神秘学上的理解能力及人文科学的逻辑概念，是属于大器晚成的类型。');
INSERT INTO "ZBR_WIKI_ASTRO" VALUES(11,11,'水瓶座','这个星座常被称为天才星座或未来星座。他们具有前瞻性、有独创性、聪慧、富理性，喜欢追求新的事物及生活方式。他们的心胸宽大、爱好和平，主张人人平等、无分贵贱贫富，不但尊重个人自由，也乐于助人，是个典型的理想主义和人道主义者。另外，他们也很重视理论和知识，有优秀的推理力和创造力，客观、冷静，善于思考，讲求科学、逻辑和概念，价值观很强。是一个对超能力、超自然现象会积极证明，人缘及辩才均佳，水瓶座虽是个理想主义者，但他们一旦碰上爱情，就会变的非常实际。');
INSERT INTO "ZBR_WIKI_ASTRO" VALUES(12,12,'双鱼座','双鱼座是古老轮迴的结束，这种古老轮迴后的灵魂，是一种透澈。也许正因如此，他们总深陷在灵和慾之间，退缩在一种自创的梦幻之境裡。他们爱作梦，也无时不在幻想，也常将这种情结带到现实中而显得有些不切实际，但他们是善良的，有绝对捨己助人的牺牲奉献精神；他们是多愁善感的纯情主义者，是十二星座中最多情的一个。双鱼座的星座象徵正是两隻鱼各往相反的方向游，一隻向上，一隻向下；没有什麽比这幅画面，更能正确形容双鱼座的複杂性格的东西了。');
CREATE TABLE ZBR_WIKI_COLOR ( Z_PK INTEGER PRIMARY KEY, ZID INTEGER, ZNAME VARCHAR, ZDESC VARCHAR );
INSERT INTO "ZBR_WIKI_COLOR" VALUES(1,1,'红色','你的可爱十分惹人喜爱！对爱情你很拣择但又常常在恋爱，也喜欢被爱的感觉。你有着清新的气质和开朗的个性，但有些时候也会变得“多愁善感“。和别人相处的时候你表现得很友善和温柔，所以很多人愿意和你亲近。你喜欢跟友善和随和的人做朋友。 　　\r \n奶油色——你爱和别人竞争，失败的感觉你最受不了。极爱运动和户外活动，你的性格开朗也值得别人信赖。对爱情你会表现得很小心，不会轻易爱上一个人。但一旦找到你生命中的伴侣时，你绝不会让他跑掉。');
INSERT INTO "ZBR_WIKI_COLOR" VALUES(2,3,'蓝绿色','你最注重自己的外表。对选择爱侣的要求甚高。你每每拥有清晰的头脑去思考和解决难题，又不易犯错。你喜欢在人群中被重视，也因此令你容易认识到新朋友。 ');
INSERT INTO "ZBR_WIKI_COLOR" VALUES(3,4,'灰色','你很好动，也很有吸引力。你永不会把想说的话藏在心，总会抒发自己的感情。但有时会变得较自私。你渴望得到别人的注意，讨厌不公平的对待。你很风趣，也懂得在适当时候说适当的话，常常也令到身边的人快乐。');
INSERT INTO "ZBR_WIKI_COLOR" VALUES(4,5,'绿色','你总能和新相识的朋友相处得很好。你不算是一个害羞的人，但有时候你的说话每每伤害了别人。 你渴望得到爱侣的注意，也较喜欢“被爱”的感觉，大多数的时间你总是在等待你生命中的另一半出现。');
INSERT INTO "ZBR_WIKI_COLOR" VALUES(5,6,'金色','你很清楚什麽应该做、什麽不应该做。性格开朗又好交际。对于你，寻找一个你爱的人不是一件容易的事，但当你找到你爱的人以后，你绝不轻易变心。');
INSERT INTO "ZBR_WIKI_COLOR" VALUES(6,7,'粉红色','对任何事你总是全力以赴的，还有你很爱照顾其它人。但你不是一个容易满足的人，常有消极的想法。你常祈望你的爱情像童话故事一样美丽和完美。 　 ');
INSERT INTO "ZBR_WIKI_COLOR" VALUES(7,8,'黄色','你是一个又天真又“甜”的人。常获得别人的信任，亦有很强的领导能力。当要做决定或选择的时候，你总是做对了决定。还有，你常常憧憬着一段浪漫的恋情。 　　');
INSERT INTO "ZBR_WIKI_COLOR" VALUES(8,9,'栗色','你有一个聪明的脑袋。也是一个自我的人，常依自己的喜好来做事，有时会因为不大理别人的感受而惹上麻烦。对于爱情你很有耐性，当你找到你要找的那一位后，你不会再爱上别人。');
INSERT INTO "ZBR_WIKI_COLOR" VALUES(9,10,'橙色','你总会对自己做过的事付责任，亦很懂得怎样待人接物。你常常给自己定下很多目标和竞争对象。 你很难去相信别人，包括你的朋友，但当你认为他是可信的话，你将会把他当成永远的知己。 　');
INSERT INTO "ZBR_WIKI_COLOR" VALUES(10,11,'紫色','你是一个神秘的人，从不自私，也很难对任何人和事发生兴趣。你的状态永远是说不定的，是一个情绪化的人。很受周遭的人欢迎，但有是你会做出愚笨的举动，记性也不太好。你最喜欢与一些有着真性情的人做朋友。');
INSERT INTO "ZBR_WIKI_COLOR" VALUES(11,12,'石灰色','你是一个冷静的人，但常给自己压力。你常常在小事上挑剔，又容易妒忌。你不大会定下来，但你可爱的性格能获得朋友的信任也乐于跟你接近。 ');
INSERT INTO "ZBR_WIKI_COLOR" VALUES(12,13,'黑色','你乐于接受挑战，因为你拥有接受挑战的勇气。但你并不喜欢改变你自己的生活方式。一旦你落实了一个决定，你会长久地朝着这个方向走。你的爱情也是充满挑战和有点与别不同。 ');
INSERT INTO "ZBR_WIKI_COLOR" VALUES(13,14,'黄绿色','你是一个心肠软和带给别人温暖的人。你与家人和朋友的关係良好。十分讨厌暴力，清楚什麽应该做什麽不应该做。你也十分善良和乐观，又很知足，并不会轻易妒忌别人拥有什麽。 ');
INSERT INTO "ZBR_WIKI_COLOR" VALUES(14,15,'啡色','你很爱运动，整个人都充满活力。但别人很难去接近你，话虽如此，你很容易投入一段感情。但当你发现你在那段感情中得不到你想要的东西时，你会立即放弃，也会复完得很快。 ');
INSERT INTO "ZBR_WIKI_COLOR" VALUES(15,16,'蓝色','你对自己没??有信心，也很挑剔。你很有艺术天分，也很容易去爱上一个人，但当爱情来的时候，你只是用你的“感觉”去爱，而并非用你的心去爱。 ');
INSERT INTO "ZBR_WIKI_COLOR" VALUES(16,17,'银色','你是一个有丰富想像力和害羞的人，但你乐于接受新事物和新尝试。你喜欢挑战自己。学习新的事物时很快会上手，遇强越强。但你的爱情生活通常也比较多挫折和困惑。 ');
INSERT INTO "ZBR_WIKI_COLOR" VALUES(17,18,'深蓝色','你是一个很吸引人的发光体，也很爱惜自己的生命。你对身边所有事物都带着强烈的感觉。你是一个容易“意乱情迷”的人。如果有人把你激怒了，你很难会原谅他。');
INSERT INTO "ZBR_WIKI_COLOR" VALUES(18,19,'白色','你的人生充满着梦和理想。你对周遭的事有点漠不关心，容易妒忌。你是较为独特的一群，有时候，你心中想法总会比别人高深一点。 ');
INSERT INTO "ZBR_WIKI_COLOR" VALUES(19,20,'水蓝色','你的感觉来去如风。你的生活也带点孤单，很爱旅游。你对待别人很真诚，但太容易受别人的影响。对你来说，寻找爱情是一件很难的事，也容易在爱中迷失，令你很容易便被爱情所伤。 ');
INSERT INTO "ZBR_WIKI_COLOR" VALUES(20,2,'奶油色','你爱和别人竞争，失败的感觉你最受不了。极爱运动和户外活动，你的性格开朗也值得别人信赖。对爱情你会表现得很小心，不会轻易爱上一个人。但一旦找到你生命中的伴侣时，你绝不会让他跑掉。');
CREATE TABLE ZBR_WIKI_ZODIAC ( Z_PK INTEGER PRIMARY KEY, ZID INTEGER, ZNAME VARCHAR, ZDESC VARCHAR );
INSERT INTO "ZBR_WIKI_ZODIAC" VALUES(1,1,'鼠','属鼠的人容易相处，工作努力，生活节俭，除非他非常??喜欢的人，他是不会慷慨解囊的。所以，假如你从他那裡得到一件贵重礼物，那麽，他对你的评价一定相当高。然而儘管他会精打细算，并以此来炫耀，但他从不需要崇拜者。表面上，属鼠的人可能表现得沉默寡言，但实际上，他很容易激动，但他能控制自己。这一点是他为什麽受欢迎，并有许多朋友的最好解释。属鼠人直觉敏锐，能预示危险，并因此适可而止。但也有不相信自己直觉的时候，这时就碰得头破血流。不过一生中这样的例子只有一次。机警灵活的属鼠人也喜欢冒一点小的风险，也许受老鼠神灵的何佑，成功的机会很多。');
INSERT INTO "ZBR_WIKI_ZODIAC" VALUES(2,2,'牛','牛年出生的人责任感强，勤勉踏实，所以工作中很受上司的讚赏和信赖。稳定、勤勉、富于创意、注意实际等都是属牛人的优点，但是一谈到思维方面的特徵时，属牛的人就如牛给人的联想般显得厚重、缓慢又极端固执。他最大的缺点是缺乏通融性，不接受朋友的忠告，最后往往变成固执己见、独断专行，属牛的人是个重视传统观念的人，所以必须改掉这些缺点，多体谅别人的心情。属牛的人不善明显地表达自己的情感，他在这方面较为保守，喜欢以安静的间接的方式表达。他对人的喜、恶分得清楚，绝不会勉强自己和不喜欢的人交往，可是内有想领导别人的慾望，所以对依赖自己的人照顾得相当周到。');
INSERT INTO "ZBR_WIKI_ZODIAC" VALUES(3,3,'虎','虎年出生的人独立和自尊心都极强，是心急而情绪容易冲动的人，因为他们不喜欢在原处滞留不动或者受外力限制。他有强烈的正义感，非常讨厌拐弯抹角，只要他认为对方有什麽错误，便会理直气壮的提出批评。属虎人的眼中，所有流行时髦都是势利心在作怪，但总认为自己是创新的人，制定规范的人，而他的步调总是偏向于趣乎时代之前，不喜欢追随现时的潮流。他们是那种执着地从事事业的人，即使是上刀山、下油锅，也不会令其退却。');
INSERT INTO "ZBR_WIKI_ZODIAC" VALUES(4,4,'兔','属兔的人往往特别温和，文静，谦谦有礼；潇洒，机敏，精细耐心；善良，纯朴，富有责任感。对工作兢兢业业，认真细緻，一丝不苟，有高度的责任感和敬业精神。对朋友礼尚往来，坦诚相见，言必行，行必果，廖不虚情假意，但是他们对初次认识的人总是保持一定的警惕性，让时间来证明此人是否可以相交。他们对爱情最忠诚，他们不会轻易地爱上谁，也不会相信好色之徒的花言巧语，但如果感受到真诚的爱，看准了值得爱的人，就会专心一意为心爱的人献上一切。');
INSERT INTO "ZBR_WIKI_ZODIAC" VALUES(5,5,'龙','属龙的人个性令人难以捉摸，是富有野心的梦幻家。喜欢冒险、追求浪漫的生活，同时性情澹泊、不拘泥于世俗之见，自然而然给人一种大人物的风范。比较适合能发挥个性，较自由自在的工作，具有权威感和感染力。但自我信念太强，不留意别人的意见。他们对感情相当脆弱，所以纵有很美好的恋情，也要以旁观者的眼光，冷静的观察对方是不是可以託付终生的人，以免将来生变，禁不起打击。');
INSERT INTO "ZBR_WIKI_ZODIAC" VALUES(6,6,'蛇','有神秘浪漫斯文外表与熟练处世态度，风度翩翩善于辞令很会鑽营。冷静沉着，思路敏锐，具有特殊才能，有贯彻始终的斗志与精神。 不会炫耀自己才能而是暗自砥砺并按照计划逐步前进。天生感受性及知性很强，对别人却有善意关怀的应变力强。机运上往往独占先机，梦想以自己力量来创造飞黄腾达的事业，但若缺乏合作精神，而容易失败。很了解自己的能力，很重视精神生活，对事物观与判断很强，对金钱欲很强。');
INSERT INTO "ZBR_WIKI_ZODIAC" VALUES(7,7,'马','性情开朗浪漫热情，英雄主义很重。自由奔放不善保密，说做就做，交友广阔，与他人相处融洽，喜爱亲切照顾别人。有领导力，灵性点子多，各方面天赋极高，领悟力也强，头脑和四肢敏捷。属马的人颇讲究衣着服饰的华丽，老爱在镜子前反覆整容。喜爱别人的称讚和崇拜，主观独立性强，不接受别人建议，喜欢随心所欲，讨厌被束。所以喜爱从事引人注目的工作，做事往往半途而废。最不善于理财，往往只知开源而不懂节流。常有好面子爱慕虚荣的心态。');
INSERT INTO "ZBR_WIKI_ZODIAC" VALUES(8,8,'羊','凡事考虑周到，有进取心，人际圆融，个性温柔具有捨已成仁的胸怀。做事慎重给人可靠的感觉，干劲十足勇往前进，能刻苦耐劳，但很主观固执偏好神秘色彩。求知欲旺盛，连微不足道的细节都不放过。不随便浪费金钱。待人亲切，热爱大自然，有高贵大方的仪态。有时悲观犹豫不决，喜欢听天由命，不敢做大胆地爱情表白，个性柔弱胆怯。羞怯是他的特性，对奇特古怪学说兴趣颇浓。');
INSERT INTO "ZBR_WIKI_ZODIAC" VALUES(9,9,'猴','才智高且具优秀的头脑，行动活泼好动且伶俐。社交手腕高明善解人意，不喜欢被人控制，喜爱追求新鲜事物，有极强的自我表现欲。对环境变化有很强的适应能力，拥有多项才能而能居主导地位。求知欲很强，博览群书，记忆力惊人。但生性爱玩缺乏耐心毅力，眼光看得不远，依赖心很重，是典型的机会主义者。');
INSERT INTO "ZBR_WIKI_ZODIAC" VALUES(10,10,'鸡','做事很稳定，有现代新潮派的大志向，脑筋转动很快。性急，喜欢打扮自己，对色彩感觉有独到之处，不喜欢正式传统的装扮，而偏爱奇特的式样。善于交际，善于辩论又具说服力，想到什么便说什么毫不保留，易忽视旁人的感受与尊严。爱好别人恭维，同时喜欢讚美别人。深思熟虑勤奋能干，富责任感严守纪律，讨厌游手好閒的人。但有忽冷忽热的心理，处事往往纸上谈兵很少付诸行动。心理一有不满马上反应，毫不隐瞒。');
INSERT INTO "ZBR_WIKI_ZODIAC" VALUES(11,11,'狗','富于正义感讲义气，做事全力以赴。生性纯朴正直，诚实友善，富同情心，个性坦白无心机，很受人尊敬。个性勤勉敬业，??具有大志大望。行动敏捷头脑聪明反应快。感情上，爱上对方不会轻易变心，宁可自己吃亏也不愿给人添麻烦，不会为自己利益做出违背道义的事。明办是非，脑筋灵活且有领导能力，心地善良，待人和颜悦色，风趣诙谐，好打抱不平。但感情起伏大，依赖心强，喜爱批评别人追根究底，善猜疑喜挑剔。有时会莫名的自我封闭或沉默不语。');
INSERT INTO "ZBR_WIKI_ZODIAC" VALUES(12,12,'猪','真诚正直，人缘极佳，不拘小节，天真浪漫，个人主义至上。思想单纯天真，不会与人斤斤计较。智力丰富，求知欲强，慷慨大方。属猪的人绝对不是诈欺和出卖朋友的人，坦诚真意很能容忍。与人没有多大的竞争，举止正当，态度和善。乐天主义，不需要过分操劳便可维持生计。最能容忍别人讥笑，逆来顺受。此类人好睡重眠，心地善良，对人没有猜疑而常受骗上当。');
